-- entity lua

entity= class:new()

function entity:add( tileX, tileY )
				
	table.insert( self.table, { x = tileX, y = tileY, w = tile.size, h = tile.size } )

end

function entity:data()

end

function entity:init( tile_id, img, damageValue )

	self.table = {}								-- holds the various items
	self.img = img
	self.damageValue = damageValue
	self.tile_id = tile_id
	local m = map
	
	for i, v in ipairs( m ) do
		if v.Type == tile_id then
			self:add( v.x, v.y )
		end
	end
	
	self:data()

end

function entity:setHitbox( ox, oy, w, h )
	local t = self.table
	
	for i,v in ipairs( t ) do
		v.hitbox = { x = v.x + ox, y = v.y + oy, w = w, h = h }
	end
end

function entity:addParticles( p_type, poX, poY, r, g, b, a, t )

	self.poX, self.poY = poX, poY
	self.getColors = function() return r, g, b, a end
	if p_type == "collide" then
		self.Type = p_type
	elseif p_type == "timer" then
		self.intervall = t
	end

end