-- soundmanager lua

soundmanager = {}

function soundmanager:init()

	local a = love.audio

	s_jump = a.newSource( "sfx/s_jump.ogg" )
	s_select = a.newSource( "sfx/s_select.ogg" )
	s_enter = a.newSource( "sfx/s_enter.ogg" )
	s_checkpoint = a.newSource( "sfx/s_checkpoint.ogg" )
	s_dead = a.newSource( "sfx/s_dead.ogg" )
	s_hurt = a.newSource( "sfx/s_hurt.ogg" )
	s_jumppad = a.newSource( "sfx/s_jumppad.ogg" )
	s_button = a.newSource( "sfx/s_button.ogg" )
	--s_ambient1 = a.newSource( "sfx/s_ambient1.ogg", "stream" )
		
	self.music = true
	--s_ambient1:setLooping( true )
	--s_ambient1:play()
	
	
end


function soundmanager:update( dt )
	
	--s_ambient1:setVolume( volume / 100 )
	s_jump:setVolume( volume / 100 )
	s_select:setVolume( volume / 100 )
	s_enter:setVolume( volume / 100 )
	s_checkpoint:setVolume( volume / 100 )
	s_dead:setVolume( volume / 100 )	
	s_jumppad:setVolume( volume / 100 )
	s_button:setVolume( volume / 100 )
	s_hurt:setVolume( volume / 100 )
	
end


function soundmanager:keypressed( key )

	if key == "m" then self.music = not self.music end

end